summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva2015-09-04 06:58:42 +0200
committer Willy Sudiarto Raharjo2015-09-05 01:25:12 +0200
commit7422d53df4b4ddbb0306325c24d3a48eca3cc0a9 (patch)
treef42e2938379ad731fe2cbb3418e51deea224eaca
parentdfbbb784c7e7e9f2e1cd624d30a9fce235580c8e (diff)
downloadslackbuilds-7422d53df4b4ddbb0306325c24d3a48eca3cc0a9.tar.gz
libraries/libpwquality: Added (password quality checking).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--libraries/libpwquality/README9
-rw-r--r--libraries/libpwquality/libpwquality.SlackBuild103
-rw-r--r--libraries/libpwquality/libpwquality.info10
-rw-r--r--libraries/libpwquality/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/libraries/libpwquality/README b/libraries/libpwquality/README
new file mode 100644
index 0000000000..f568a5bb4b
--- /dev/null
+++ b/libraries/libpwquality/README
@@ -0,0 +1,9 @@
+libpwquality (library for password quality checking and generation)
+
+The libpwquality library purpose is to provide common functions for password quality checking
+and also scoring them based on their apparent randomness.
+The library also provides a function for generating random passwords with good pronounceability.
+The library supports reading and parsing of a configuration file.
+
+In the package there are also very simple utilities that use the library function and PAM module
+that can be used instead of pam_cracklib. The module supports all the options of pam_cracklib.
diff --git a/libraries/libpwquality/libpwquality.SlackBuild b/libraries/libpwquality/libpwquality.SlackBuild
new file mode 100644
index 0000000000..43d7a0b8e8
--- /dev/null
+++ b/libraries/libpwquality/libpwquality.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+#
+# Slackware build script for libpwquality.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libpwquality
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+rm -rf $TMP/$PRGNAM-$VERSION
+cd $TMP
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+DOCS="ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README"
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libpwquality/libpwquality.info b/libraries/libpwquality/libpwquality.info
new file mode 100644
index 0000000000..fc8d7f68b7
--- /dev/null
+++ b/libraries/libpwquality/libpwquality.info
@@ -0,0 +1,10 @@
+PRGNAM="libpwquality"
+VERSION="1.3.0"
+HOMEPAGE="https://fedorahosted.org/libpwquality/"
+DOWNLOAD="https://fedorahosted.org/releases/l/i/libpwquality/libpwquality-1.3.0.tar.bz2"
+MD5SUM="2a3d4ba1d11b52b4f6a7f39622ebf736"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cracklib"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/libraries/libpwquality/slack-desc b/libraries/libpwquality/slack-desc
new file mode 100644
index 0000000000..3366c1a46c
--- /dev/null
+++ b/libraries/libpwquality/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libpwquality: libpwquality (library for password quality checking and generation)
+libpwquality:
+libpwquality: libpwquality's purpose is to provide common functions for password
+libpwquality: quality checking and also scoring them based on their apparent
+libpwquality: randomness. The library also provides a function for generating
+libpwquality: random passwords with good pronounceability.
+libpwquality:
+libpwquality: Home page: https://fedorahosted.org/libpwquality/
+libpwquality:
+libpwquality:
+libpwquality: